Record browser Realtime model usage against AI credits
curl --request POST \
--url https://api.example.com/inference/realtime-usage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"session_id": "<string>",
"usage_id": "<string>",
"usage_kind": "<string>",
"input_tokens": 0,
"output_tokens": 0,
"cached_input_tokens": 0,
"audio_input_tokens": 0,
"audio_output_tokens": 0
}
'import requests
url = "https://api.example.com/inference/realtime-usage"
payload = {
"session_id": "<string>",
"usage_id": "<string>",
"usage_kind": "<string>",
"input_tokens": 0,
"output_tokens": 0,
"cached_input_tokens": 0,
"audio_input_tokens": 0,
"audio_output_tokens": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
session_id: '<string>',
usage_id: '<string>',
usage_kind: '<string>',
input_tokens: 0,
output_tokens: 0,
cached_input_tokens: 0,
audio_input_tokens: 0,
audio_output_tokens: 0
})
};
fetch('https://api.example.com/inference/realtime-usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}inference
Record browser Realtime model usage against AI credits
POST
/
inference
/
realtime-usage
Record browser Realtime model usage against AI credits
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Required string length:
1 - 200Required string length:
1 - 200Pattern:
^(response|transcription)$Required range:
0 <= x <= 50000000Required range:
0 <= x <= 50000000Required range:
0 <= x <= 50000000Required range:
0 <= x <= 50000000Required range:
0 <= x <= 50000000Response
Successful Response